Package org.apache.naming

## Class ResourceLinkRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.ResourceLinkRef

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

    public class ResourceLinkRef
    extends AbstractRef

Represents a reference address to a resource.

Author:
  Remy Maucherat
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_FACTORY` Default factory for this reference.
`static java.lang.String` `GLOBALNAME` Description address type.

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
`ResourceLinkRef​(java.lang.String resourceClass, java.lang.String globalName, java.lang.String factory, java.lang.String factoryLocation)` ResourceLink Reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getDefaultFactoryClassName()`

### Methods inherited from class org.apache.naming.AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

Default factory for this reference.

See Also:
  Constant Field Values

#### GLOBALNAME

    public static final java.lang.String GLOBALNAME

Description address type.

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceLinkRef

    public ResourceLinkRef​(java.lang.String resourceClass,
                           java.lang.String globalName,
                           java.lang.String factory,
                           java.lang.String factoryLocation)

ResourceLink Reference.

Parameters:
  `resourceClass` - Resource class
  `globalName` - Global name
  `factory` - The possibly null class name of the object's factory.
  `factoryLocation` - The possibly null location from which to load the factory (e.g. URL)

### Method Detail

#### getDefaultFactoryClassName

    protected java.lang.String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`